Package htsjdk.tribble.util

# Class MathUtils

java.lang.Object
htsjdk.tribble.util.MathUtils

public class MathUtils extends Object
a collection of functions and classes for various common calculations

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MathUtils.RunningStat`
a class for calculating moving statistics - this class returns the mean, variance, and std dev after accumulating any number of records.

## Constructor Summary

Constructors
Constructor
Description
`MathUtils()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MathUtils

public MathUtils()